package org.builtu.config.spring;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import org.builtu.config.spring.FallbackBean;

public class TestFallbackBean {

	@Test public void testFallbackBean() {
		final String ctxPath = "org/builtu/config/spring/TestFallbackBean.spring.xml";
		final ApplicationContext ctx = new ClassPathXmlApplicationContext(ctxPath);
		final FallbackBean bean = (FallbackBean) ctx.getBean("fallback");
		final String message = (String) bean.getObject();
		Assert.assertEquals("hello2", message);
		Assert.assertEquals("hello2", ctx.getBean("result"));
	}
}
